using SqlSugar;
using System;

namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// 本机配置
    /// </summary>
    [SugarTable("base_configInfo"), TenantAttribute("wcs")]
    public class BaseConfigInfo
    {
        /// <summary>
        /// 配置Id
        /// </summary>
        [SugarColumn(ColumnName = "config_id", IsPrimaryKey = true, IsIdentity = true)]
        public int ConfigId { get; set; }

        /// <summary>
        /// 配置Key
        /// </summary>
        [SugarColumn(ColumnName = "config_key")]
        public string ConfigKey { get; set; }

        /// <summary>
        /// 配置值
        /// </summary>
        [SugarColumn(ColumnName = "config_value")]
        public string ConfigValue { get; set; }

        /// <summary>
        /// 是否启用：0-启用；1-停用
        /// </summary>
        [SugarColumn(ColumnName = "is_falg")]
        public int IsFlag { get; set; }

        /// <summary>
        /// 配置值
        /// </summary>
        [SugarColumn(ColumnName = "type")]
        public string Type { get; set; }

        /// <summary>
        /// 所属配置文件的plcId
        /// </summary>
        [SugarColumn(ColumnName = "plc_config_id")]
        public int PlcConfigId { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        //[SugarColumn(ColumnName = "remark")]
        [SugarColumn(IsIgnore = true)]
        public string Remark { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "create_time")]
        public DateTime CreateTime { get; set; }
    }
}